org.apache.lucene.search.suggest.analyzing

## Class FSTUtil.Path<T>

- java.lang.Object
- - org.apache.lucene.search.suggest.analyzing.FSTUtil.Path<T>

Enclosing class:
  FSTUtil

    public static final class FSTUtil.Path<T>
    extends Object

Holds a pair (automaton, fst) of states and accumulated output in the intersected machine.

### Field Summary

Fields
`FST.Arc<T>` `fstNode` Node in the FST where path ends:
`IntsRefBuilder` `input` Input of the path so far:
`T` `output` Output of the path so far:
`int` `state` Node in the automaton where path ends:

### Constructor Summary

Constructors
Constructor and Description
`Path(int state, FST.Arc<T> fstNode, T output, IntsRefBuilder input)` Sole constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### state

    public final int state

Node in the automaton where path ends:

#### fstNode

    public final FST.Arc<T> fstNode

Node in the FST where path ends:

#### output

    public final T output

Output of the path so far:

#### input

    public final IntsRefBuilder input

Input of the path so far:

### Constructor Detail

#### Path

    public Path(int state,
                FST.Arc<T> fstNode,
                T output,
                IntsRefBuilder input)

Sole constructor.